build/myftw.h(3)

NAME
build/myftw.h - Portable ftw(3) using lstat() instead of stat().

SYNOPSIS

#include <sys/stat.h>

  Defines
#define MYFTW_F 0
#define MYFTW_D 1
#define MYFTW_DNR 2
#define MYFTW_NS 3

  Typedefs
typedef int(* myftwFunc )(void *fl, const char *name, struct stat *statp)

  Functions
int myftw (const char *dir, int descriptors, myftwFunc func, void *fl)

DETAILED DESCRIPTION

Portable ftw(3) using lstat() instead of stat().

Definition in file myftw.h.

DEFINE DOCUMENTATION

  #define MYFTW_D 1

Definition at line 13 of file myftw.h.

Referenced by myftw, and myftw_dir.

  #define MYFTW_DNR 2

Definition at line 14 of file myftw.h.

Referenced by myftw, and myftw_dir.

  #define MYFTW_F 0

Definition at line 12 of file myftw.h.

Referenced by myftw, and myftw_dir.

  #define MYFTW_NS 3

Definition at line 15 of file myftw.h.

Referenced by myftw, and myftw_dir.

TYPEDEF DOCUMENTATION

  typedef int(* myftwFunc)(void *fl, const char *name, struct stat *statp)

Definition at line 21 of file myftw.h.

Referenced by addFile, myftw, and myftw_dir.

FUNCTION DOCUMENTATION

  int myftw (const char * dir, int descriptors, myftwFunc func, void * fl)

Definition at line 179 of file myftw.c.

Referenced by addFile.

AUTHOR

Generated automatically by Doxygen for rpm from the source code.